.details-container {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    .details-navbar {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 40px;
        background-color: #8560A9;
        .icon-home {
            position: absolute;
            left: 19px;
            top: 11px;
            width: 20px;
            height: 20px;
            fill: #453257;
          }
        .icon-logo-cat {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 20.9px;
        height: 24px;
        fill: #D5EF7F;
        }
        .avatar-img {
        position: absolute;
        top: 9px;
        right: 14px;
        width: 24px;
        height: 24px;
        border-radius: 50%;
        }
    }

    .details-content {
        position: absolute;
        overflow-y: scroll;
        &::-webkit-scrollbar{width:0px;height:0px;}
        width: 100%;
        top: 40px;
        bottom: 56px;
        .details-header {
            width: 90%;
            margin: 0 auto;
            .channel-name {
                margin-top: 18px;
                width: 80px;
                height: 20px;
                font-size: 12px;
                color: #8560A9;
                border: 1px solid #D3C1E5;
                border-radius: 10px;
                text-align: center;
                line-height: 16px;
                padding : 2px 0;
            }
            .title {
                margin: 15px auto;
                font-size: 20px;
                color: #453257;
            }
            .creator {
                margin: 24px auto;
                display: flex;
                .creator-avatar {
                    width: 36px;
                    height: 36px;
                    border-radius: 18px;
                }
                .creator-username {
                    font-size: 14px;
                    color: #67616D;
                    margin-left: 12px;
                }
            }
        }
    
        .tab {
            position: sticky;
            top: 0;
            z-index: 10;
            width: 100%;
            border-top: 1px solid #E8E8E8;
            border-bottom: 1px solid #E8E8E8;
            background-color: white;
            display: flex;
            .tab-item {
                flex: 1;
                display: flex;
                justify-content: center;
                align-items: center;
                margin: 16px 0;
                border-right: 1px solid #E8E8E8;
                .item-img {
                    width: 20px;
                    height: 20px;
                    fill: #BABABA;
                }
            }
            & div:last-child {
                border: none;  
            }  
        }
    }

    .foot {
        height: 56px;
        position: absolute;
        bottom: 0;
        width: 100%;
    }
}